
Name:		colplot
Version:	5.0.0
Release:	201702080354hpe_hpcstack%{?dist}
Summary:	Plots collectl data using gnuplot

License:	GPL,Artistic
URL:		http://collectl.sourceforge.net
Source:	colplot-5.0.0.src.tar.gz
Patch0:	colplot-apache.patch
Patch1:	hpe-apache-config-colplot-apache.patch
Requires: environment-modules
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
AutoReqProv: no
Requires: /bin/sh
Requires: httpd
Requires: /usr/bin/perl
Requires: perl(Config)
Requires: perl(Cwd)
Requires: perl(File::Basename)
Requires: perl(Getopt::Long)
Requires: perl(IO::Select)
Requires: perl(IO::Socket)
Requires: perl(strict)
Requires: perl(Compress::Zlib)
Requires: gnuplot
Requires: collectl

AutoReqProv:	no

%define debug_package %{nil}
%define prefix        /


%description

Plots collectl data using gnuplot

%prep
%setup -q -n colplot-5.0.0
%patch -P 0
%patch -P 1


%check

%install

rm -rf %{buildroot}
mv -f /tmp/root/colplot-5.0.0-jfUd5uM5V %{buildroot}

rm -Rf %{buildroot}

# Create required directories
mkdir -p %{buildroot}/etc
mkdir -p %{buildroot}/usr/bin
mkdir -p %{buildroot}/usr/share/man/man1
mkdir -p %{buildroot}/usr/share/doc/collectl-utils-%{version}
mkdir -p %{buildroot}/usr/share/collectl
mkdir -p %{buildroot}/usr/share/collectl/plotfiles
mkdir -p %{buildroot}/usr/share/collectl/util

# install the files, setting the mode
install -m 644  colplot.conf          %{buildroot}/etc
install -m 755  colplot               %{buildroot}/usr/bin
install -m 444  colplot-apache.conf   %{buildroot}/usr/share/collectl
install -m 444  colplotlib.ph         %{buildroot}/usr/share/collectl
install -m 444  colplotlib.defs       %{buildroot}/usr/share/collectl
install -m 444  tiny.ph               %{buildroot}/usr/share/collectl
install -m 444  oneperpage.ph         %{buildroot}/usr/share/collectl
install -m 444  plotfiles/*           %{buildroot}/usr/share/collectl/plotfiles
install -m 444  man1/*.1*             %{buildroot}/usr/share/man/man1
install -m 444  colplot-help.html %{buildroot}/usr/share/doc/collectl-utils-%{version}
install -m 444  FAQ-colplot.html %{buildroot}/usr/share/doc/collectl-utils-%{version}
install -m 444  ARTISTIC %{buildroot}/usr/share/doc/collectl-utils-%{version}
install -m 444  GPL %{buildroot}/usr/share/doc/collectl-utils-%{version}
install -m 444  INSTALL %{buildroot}/usr/share/doc/collectl-utils-%{version}
install -m 444  README %{buildroot}/usr/share/doc/collectl-utils-%{version}
install -m 444  RELEASE-colplot %{buildroot}/usr/share/doc/collectl-utils-%{version}

# compress any uncompressed man pages
gzip %{buildroot}/usr/share/man/man1/colplot.1



mkdir -p  %{buildroot}/opt/hpe/hpc/test/installation_validation/colplot/5.0.0/
cp /tmp/root/colplot-5.0.0-uJtxuxNHY/TESTS/colplot.ivp %{buildroot}/opt/hpe/hpc/test/installation_validation/colplot/5.0.0/ || true
chmod +x %{buildroot}/opt/hpe/hpc/test/installation_validation/colplot/5.0.0/* || true

%clean
rm -rf %{buildroot}


%post

# This section has been revised with this release, based on INSTALL
ctl=''
apache2=0
www='/var/www/html'
if [ -f /usr/sbin/apachectl ] || [ -f /usr/sbin/apache2ctl ]; then
  if [ -f /usr/sbin/apache2ctl ]; then
    apache2=1
  fi

  if [[ "$current_os" == "centos" || "$current_os" == "rhel" ]]; then
    www=/var/www/html
    ctl=/usr/sbin/apachectl
    confd=/etc/httpd/conf.d
  fi

  if [ "$current_os" == "sles" ]; then
    www=/srv/www/htdocs
    ctl=/usr/sbin/apache2ctl
    confd=/etc/apache2/conf.d
  fi
else
    echo "apache not installed, either install it or manually configure colplot"
fi

# whether apache is installed or not, it's useful to collect all
# the web content in one place
if [ ! -e $www/colplot ]; then
   echo "creating $www/colplot"
   mkdir -p $RPM_BUILD_ROOT/$www/colplot
fi

# build some links to these
cd $RPM_BUILD_ROOT/$www/colplot
ln -sf /usr/bin/colplot  index.cgi
ln -sf /usr/share/doc/collectl-utils-%{version}/colplot-help.html
ln -sf /usr/share/doc/collectl-utils-%{version}/FAQ-colplot.html

# this section also based on INSTALL
if [ "$ctl" = "" ]
then
  echo "sorry, not further support for your distro.  you have to manually configure the rest"
fi

if [ -e $ctl ]
then
  echo "configuring apache to run colplot..."
  if [ ! -e $confd/colplot.conf ]; then
    echo "copying /usr/share/collectl/colplot-apache.conf to $confd/colplot.conf"
    cp /usr/share/collectl/colplot-apache.conf $confd/colplot-apache.conf
  fi

  if [ $apache2 -eq 1 ]; then
    echo "creating link in $conf2 to $confd/colplot-apache.conf"
    ln -s $confd/colplot-apache.conf $conf2/100-colplot
  fi

  # on suse change /var/www/html to /srv/www/htdocs
  if [ "$current_os" == "sles" ]; then
      sed -i "s:/var/www/html:/srv/www/htdocs:" $confd/colplot-apache.conf
  fi

  echo "You may have to restart apache"
fi


%postun

if [[ "$current_os" == "centos" || "$current_os" == "rhel" ]]; then
    www=/var/www/html
    confd=/etc/httpd/conf.d/colplot-apache.conf
elif [ "$current_os" == "sles" ]; then
    www=/srv/www/htdocs
    confd=/etc/apache2/conf.d/colplot-apache.conf
fi

# remove conf.d file
if [ "$confd" != "" ] && [ -f $confd ]; then
   rm -f $confd
fi

# Remove soft links
rm -f $www/colplot/colplot-help.html
rm -f $www/colplot/FAQ-colplot.html
rm -f $www/colplot/index.cgi
if [ -e $www/colplot ]; then rmdir $www/colplot; fi

%files
%defattr(-,root,root)
%dir /usr/share/collectl/
%dir /usr/share/collectl/plotfiles
%dir /usr/share/collectl/util
%dir /usr/share/doc/collectl-utils-%{version}
%doc /usr/share/doc/collectl-utils-%{version}/colplot-help.html
%doc /usr/share/doc/collectl-utils-%{version}/FAQ-colplot.html
%doc /usr/share/doc/collectl-utils-%{version}/ARTISTIC
%doc /usr/share/doc/collectl-utils-%{version}/GPL
%doc /usr/share/doc/collectl-utils-%{version}/INSTALL
%doc /usr/share/doc/collectl-utils-%{version}/README
%doc /usr/share/doc/collectl-utils-%{version}/RELEASE-colplot
%config /etc/colplot.conf
/usr/bin/colplot
/usr/share/collectl/colplot-apache.conf
/usr/share/collectl/colplotlib.ph
/usr/share/collectl/colplotlib.defs
/usr/share/collectl/tiny.ph
/usr/share/collectl/oneperpage.ph
/usr/share/collectl/plotfiles/*
/usr/share/man/man1/*
/opt/hpe/hpc/test

%changelog
